Package org.eclipse.emf.cdo.server

## Interface IStoreAccessor.QueryResourcesContext.ExactMatch

- All Superinterfaces:
    `CDOBranchPoint`, `CDOBranchProvider`, `CDOTimeProvider`, `IStoreAccessor.QueryResourcesContext`
  Enclosing interface:
    IStoreAccessor.QueryResourcesContext

      public static interface IStoreAccessor.QueryResourcesContext.ExactMatch
      extends IStoreAccessor.QueryResourcesContext

  Represents the query execution state of a `resources query` that is supposed to deliver one exact resource, or `null`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.QueryResourcesContext

      `IStoreAccessor.QueryResourcesContext.ExactMatch`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOID` | `getResourceID()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.QueryResourcesContext

      `addResource, exactMatch, getFolderID, getMaxResults, getName`

- - ### Method Detail

    - #### getResourceID

          CDOID getResourceID()